//      init_load_data_file.c
//
//      Copyright 2010 Peťoš Šafařík <petos@mandrivalinux.cz>
//
//      This program is free software; you can redistribute it and/or modify
//      it under the terms of the GNU General Public License as published by
//      the Free Software Foundation; either version 3 of the License, or
//      (at your option) any later version.
//
//      This program is distributed in the hope that it will be useful,
//      but WITHOUT ANY WARRANTY; without even the implied warranty of
//      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//      GNU General Public License for more details.
//
//      You should have received a copy of the GNU General Public License
//      along with this program; if not, write to the Free Software
//      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
//      MA 02110-1301, USA.


#include "nteles.h"

int init_load_data_file()
{
	int exit_status,otevren_soubor_status,tmp_status,close_status,pocet;

	printf("Spouštím funkci init_load_data_file\n");

	printf("Otevírám soubor %s\n", DATAS);
	if((datafile=fopen(DATAS,"r")) == NULL )
	{
		printf("Chyba při otevírání datového souboru %s\n",DATAS);
		otevren_soubor_status=9;
		tmp_status=9;
	}
	else
	{
		otevren_soubor_status=0;
		tmp_status=0;
	};



if( otevren_soubor_status == 0)
{
do {
pocet = 0;
	while (pocet <= MAXINDEX)
	{
		fscanf(datafile,"%g %g %g %g %g %g ", &poloha[pocet][0],&poloha[pocet][1],&poloha[pocet][2],&rychlost[pocet][0],&rychlost[pocet][1],&rychlost[pocet][2]);
		pocet++;
	}
} while ((feof(datafile)) == 0) ;

};

if( otevren_soubor_status == 0)
{
	if (fclose(datafile) == EOF )
	{
		printf("Chyba při uzavírání souboru\n");
		close_status=9;
	}
	else
	{
		close_status = 0;
	};
};

if (close_status == 0 )
{
	exit_status = tmp_status;
}
else
{
	exit_status = close_status;
};

return(exit_status);
};
