//      initialize.c
//
//      Copyright 2010 Peťoš Šafařík <petos@mandrivalinux.cz>
//
//      This program is free software; you can redistribute it and/or modify
//      it under the terms of the GNU General Public License as published by
//      the Free Software Foundation; either version 3 of the License, or
//      (at your option) any later version.
//
//      This program is distributed in the hope that it will be useful,
//      but WITHOUT ANY WARRANTY; without even the implied warranty of
//      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//      GNU General Public License for more details.
//
//      You should have received a copy of the GNU General Public License
//      along with this program; if not, write to the Free Software
//      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
//      MA 02110-1301, USA.


#include "nteles.h"


int initialize(void)
{
	int exit_status,is_files;

	printf("Spouštím funkci inicialize\n");

	is_files = init_is_files();

	if ( ( is_files != 0) && ( is_files != 9) )
	{
		printf("Spouštím generátor\n");
		exit_status = init_gen_files();
	}
	else
	{
		if (is_files == 9)
		{
			printf("Kritická chyba při práci se soubory, program se ukončí");
			exit_status = 9;
		}
		else
		{
			printf("Načítání dat...\n");
			exit_status = init_use_files();
		};
	};
printf("----\n");
printf("Jsou předávána tato data:\n\n");
for (i = 0; i <= MAXINDEX; i++)
{
		printf("Hmotnost %d. objektu je %f\n",(i+1),m[i]);
		printf("Načteny tyto počáteční polohy při výpočtu pohybu %d. objektu:\n",(i+1));
		printf("R_%d(x,y,z) = (%f,%f,%f) \n",i+1,poloha[i][0],poloha[i][1],poloha[i][2]);
		printf("Načtena tato počáteční rychlost objektu %d:\n",(i+1));
		printf("V_%d(x,y,z) = (%f,%f,%f) \n",i+1,rychlost[i][0],rychlost[i][1],rychlost[i][2]);
		printf("----\n");
}


return(exit_status);
};
