#include <stdio.h>
#include <math.h>
#include <stdlib.h>


	FILE *deffile;
	FILE *datafile;

#define DEFINES "defines.txt" //Soubor s definicemi -- počet objektů a jejich hmotnosti
#define DATAS "datas.txt" //Soubor s vypočtenými, příp. počátečními, souřadnicemi a rychlostmi objektů

#define MAXOBJEKTU 5 //Maximální počet počítaných objektů... Dá se jednoduše upravit...


// Takovéto definování proměnných sice nesvědčí o nejlepším programátorském... vkusu, ale seru na to -- bude se jednodušeji pracovat s "klasickými proměnnými".
// Pokud chceš, s klidným svědomím je používej :)

//pomocné sčítačí proměnné
int i,j,k;

//pomocné indexy pro 3D
int o,p,q;


//Definování gravidační konstanty:
//V SI:
#define G_SI (6.67428e-11)
//V Gaussovskou gravitační konstantou, vzdálenost je v Astronomických jednotkách, čas v dnech a hmotnost ve Sluncích
#define G_AU (pow(0.01720209895,2))
#define KROK 0.01          // edit ziky : casovy krok, desetina dne
#define MAXSTEP 36500      // edit ziky : pocet casovych kroku

/*
 * Proměnné pro tělesa
 */

//Počet objektů:
#define MAXINDEX (nobjektu - 1)
int nobjektu;

//Hmotnosti:
float m[MAXOBJEKTU];

//souradnice:


float rychlost[MAXOBJEKTU][3];
float poloha[MAXOBJEKTU][3];
float F[MAXOBJEKTU][3];

/*
 * FUNKCE
 */

// Inicializace
	int initialize(void); //vlastní init.funkce

	////Kontrola existence souborů:
	int init_is_files(void); //kontrola existence souboru
	int init_is_def_file(void); //kontrola existence def. souboru
	int init_is_data_file(void); //kontrola existence datového souboru

	//Generátor souborů:
	int init_gen_files(void); //tvorba souborů
	void init_gen_def_file(int pocet); //tvorba definičního souboru
	void init_gen_data_file(int pocet); //tvorba výchozího datového souboru

	//použít existující soubory
	int init_use_files(void); //Použít definiční soubory?


	////Načítání souborů:
	int init_load_files(void); // Načítání souborů
	int init_load_def_file(void); //načtení existujících definicnich souboru
	int init_load_data_file(void); //načtení existujících definicnich souboru


//Výpočet funkce count();
	int count(void); //hlavní vypocetní smycka
	int count_open_data(void); //otevření souboru s daty pro přípis
	int count_main_loop(void); // Výpočetní funkce
	void count_clear(void);
	void count_forces(void);
	void count_integrator(void);
	int count_write_data(void);
